Record order
curl --request POST \
--url https://mention-me.com/api/consumer/{version}/order \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"orderIdentifier": "123456",
"total": "100",
"currencyCode": "GBP",
"dateString": "2026-01-01T12:00:00+00:00",
"couponCode": "ABC23252",
"discountAmount": "12.44",
"orderItemCount": "3",
"isSubscription": "",
"isGift": ""
},
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
},
"address": {
"addressLine1": "",
"addressLine2": "",
"addressCity": "",
"addressCounty": "",
"addressPostCode": "",
"addressCountry": ""
}
}
'import requests
url = "https://mention-me.com/api/consumer/{version}/order"
payload = {
"order": {
"orderIdentifier": "123456",
"total": "100",
"currencyCode": "GBP",
"dateString": "2026-01-01T12:00:00+00:00",
"couponCode": "ABC23252",
"discountAmount": "12.44",
"orderItemCount": "3",
"isSubscription": "",
"isGift": ""
},
"customer": {
"emailAddress": "jane.doe@example.com",
"firstname": "",
"surname": "",
"title": "",
"uniqueIdentifier": "",
"segment": "",
"customField": "",
"visitorId": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
},
"address": {
"addressLine1": "",
"addressLine2": "",
"addressCity": "",
"addressCounty": "",
"addressPostCode": "",
"addressCountry": ""
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
orderIdentifier: '123456',
total: '100',
currencyCode: 'GBP',
dateString: '2026-01-01T12:00:00+00:00',
couponCode: 'ABC23252',
discountAmount: '12.44',
orderItemCount: '3',
isSubscription: '',
isGift: ''
},
customer: {
emailAddress: 'jane.doe@example.com',
firstname: '',
surname: '',
title: '',
uniqueIdentifier: '',
segment: '',
customField: '',
visitorId: ''
},
request: {
partnerCode: '[YOUR-PARTNER-CODE]',
situation: 'mobile-app',
localeCode: 'en_GB',
segment: 'vip',
ipAddress: '127.0.0.1',
userDeviceIdentifier: '',
deviceType: '',
appName: '',
appVersion: 'e.g. MyApp/v1.73'
},
address: {
addressLine1: '',
addressLine2: '',
addressCity: '',
addressCounty: '',
addressPostCode: '',
addressCountry: ''
}
})
};
fetch('https://mention-me.com/api/consumer/{version}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Order tracking
Record order
Tell us that an order took place.
We will use the order to:
- Record the customer is an existing customer and no longer eligible for introductory rewards - Reward a referrer if this purchase was as a result of a referral
We will also use the data to optimise your referral scheme.
POST
/
api
/
consumer
/
{version}
/
order
Record order
Path Parameters
Version
Available options:
v2, v1 Pattern:
v2|v1Body
application/json
About the order
Information about the order which took place
Show child attributes
Show child attributes
Information about the customer who placed the order
Show child attributes
Show child attributes
Information about the request
Show child attributes
Show child attributes
Information about the address of the customer who placed the order
Show child attributes
Show child attributes
Response
Returned when successful
Last modified on July 13, 2026
Was this page helpful?
⌘I